Package be.ehealth.technicalconnector.config.impl

# Class ConfigurationModuleBootstrap

java.lang.Object
be.ehealth.technicalconnector.config.impl.ConfigurationModuleBootstrap

All Implemented Interfaces:
  `ConfigurationModule`

public class ConfigurationModuleBootstrap extends Object implements ConfigurationModule

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `ConfigurationModuleBootstrap.ModuleBootstrapHook`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_MODULEBOOTSTRAP_LOCATION`
  `static final String`
  `PROP_MODULE_BOOTSTRAP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationModuleBootstrap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(Configuration config)`
  Method that initialise the configuration module.
  `static void`
  `register(ConfigurationModuleBootstrap.ModuleBootstrapHook hook)`
  `void`
  `unload()`
  Method that restores the configuration module and reset the system to the initial situation.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_MODULEBOOTSTRAP_LOCATION

    public static final String DEFAULT_MODULEBOOTSTRAP_LOCATION
    See Also:
      - Constant Field Values

  - ### PROP_MODULE_BOOTSTRAP

    public static final String PROP_MODULE_BOOTSTRAP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigurationModuleBootstrap

    public ConfigurationModuleBootstrap()

- ## Method Details

  - ### register

    public static void register(ConfigurationModuleBootstrap.ModuleBootstrapHook hook)

  - ### init

    public void init(Configuration config) throws TechnicalConnectorException
    Description copied from interface: `ConfigurationModule`
    Method that initialise the configuration module.
    Specified by:
      `init` in interface `ConfigurationModule`
    Parameters:
      `config` -
    Throws:
      `TechnicalConnectorException`

  - ### unload

    public void unload()
    Description copied from interface: `ConfigurationModule`
    Method that restores the configuration module and reset the system to the initial situation.
    Specified by:
      `unload` in interface `ConfigurationModule`